<?php

use Illuminate\Support\Facades\Route;
use Modules\Sd\Http\Controllers\BlInstructionController;
use Modules\Sd\Http\Controllers\ClearanceDocumentUsaController;
use Modules\Sd\Http\Controllers\CollectingFinalDocumentController;
use Modules\Sd\Http\Controllers\CustomerOrderController;
use Modules\Sd\Http\Controllers\CustomerOrderListController;
use Modules\Sd\Http\Controllers\CustomerOrderStatusListController;
use Modules\Sd\Http\Controllers\CustomerOrderThreadController;
use Modules\Sd\Http\Controllers\FurmugationsController;
use Modules\Sd\Http\Controllers\InformUsaOfficeController;
use Modules\Sd\Http\Controllers\LoadingPlanController;
use Modules\Sd\Http\Controllers\PreshipmentDocumnetController;
use Modules\Sd\Http\Controllers\ReleaseOrderController;
use Modules\Sd\Http\Controllers\SettingController;
use Modules\Sd\Http\Controllers\SpecialDocumentController;
use Modules\Sd\Http\Controllers\SpecInsForLoadingController;
use Modules\Sd\Http\Controllers\SvrController;
use Modules\Sd\Http\Controllers\VesselAvailabilityController;
use Modules\Sd\Http\Controllers\VesselScheduledController;
use Modules\Sd\Http\Controllers\ShipmentController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('sd')->group(function () {
    Route::get(
        '/dashboard',
        function () {
            return view('sd::dashboard');
        }
    )->middleware('is.logged');

    Route::get(
        '/orderList',
        function () {
            return view('sd::orderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/customerOrder',
        function () {
            return view('sd::customerOrder');
        }
    )->middleware('is.logged');

    Route::get(
        '/orderStatusList',
        function () {
            return view('sd::orderStatusList');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselSchedule',
        function () {
            return view('sd::vesselSchedule');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselScheduleList',
        function () {
            return view('sd::vesselScheduleList');
        }
    )->middleware('is.logged');

    Route::get(
        '/vesselScheduleList/{id}',
        function () {
            return view('sd::vesselScheduleList');
        }
    )->middleware('is.logged');

    Route::get(
        '/shipmnet',
        function () {
            return view('sd::shipmnet');
        }
    )->middleware('is.logged');

    Route::get(
        '/settings',
        function () {
            return view('sd::settings');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrder',
        function () {
            return view('sd::releaseOrder');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrderList',
        function () {
            return view('sd::releaseOrderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/releaseOrderList/{id}',
        function () {
            return view('sd::releaseOrderList');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstruction',
        function () {
            return view('sd::blInstruction');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstructionList',
        function () {
            return view('sd::blInstructionList');
        }
    )->middleware('is.logged');

    Route::get(
        '/blInstructionList/{id}',
        function () {
            return view('sd::blInstructionList');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsa',
        function () {
            return view('sd::clearanceDocumentsUsa');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsaList',
        function () {
            return view('sd::clearanceDocumentsUsaList');
        }
    )->middleware('is.logged');

    Route::get(
        '/clearanceDocumentsUsaList/{id}',
        function () {
            return view('sd::clearanceDocumentsUsaList');
        }
    )->middleware('is.logged');

    Route::get(
        '/preshipmentDocument',
        function () {
            return view('sd::preshipmentDocument');
        }
    )->middleware('is.logged');

    Route::get(
        '/preshipmentDocumentList',
        function () {
            return view('sd::preshipmentDocumentList');
        }
    )->middleware('is.logged');

    Route::get(
        '/preshipmentDocumentList/{id}',
        function () {
            return view('sd::preshipmentDocumentList');
        }
    )->middleware('is.logged');

    Route::get(
        '/specialDocument',
        function () {
            return view('sd::specialDocument');
        }
    )->middleware('is.logged');

    Route::get(
        '/specialDocumentList',
        function () {
            return view('sd::specialDocumentList');
        }
    )->middleware('is.logged');

    Route::get(
        '/specialDocumentList/{id}',
        function () {
            return view('sd::specialDocumentList');
        }
    )->middleware('is.logged');

    Route::get(
        '/loardingPlan ',
        function () {
            return view('sd::loardingPlan');
        }
    )->middleware('is.logged');

    Route::get(
        '/loardingPlanList',
        function () {
            return view('sd::loardingPlanList');
        }
    )->middleware('is.logged');

    Route::get(
        '/loardingPlanList/{id}',
        function () {
            return view('sd::loardingPlanList');
        }
    )->middleware('is.logged');

    // Furmugations
    Route::get(
        '/furmugations  ',
        function () {
            return view('sd::furmugations ');
        }
    )->middleware('is.logged');

    Route::get(
        '/furmugationsList',
        function () {
            return view('sd::furmugationsList');
        }
    )->middleware('is.logged');

    Route::get(
        '/furmugationsList/{id}',
        function () {
            return view('sd::furmugationsList');
        }
    )->middleware('is.logged');


    // Inform USA Office
    Route::get(
        '/informUsaOffice  ',
        function () {
            return view('sd::informUsaOffice ');
        }
    )->middleware('is.logged');

    Route::get(
        '/informUsaOfficeList',
        function () {
            return view('sd::informUsaOfficeList');
        }
    )->middleware('is.logged');

    Route::get(
        '/informUsaOfficeList/{id}',
        function () {
            return view('sd::informUsaOfficeList');
        }
    )->middleware('is.logged');

    // Collecting Final Document
    Route::get(
        '/collectingFinalDocument  ',
        function () {
            return view('sd::collectingFinalDocument ');
        }
    )->middleware('is.logged');

    Route::get(
        '/collectingFinalDocumentList',
        function () {
            return view('sd::collectingFinalDocumentList');
        }
    )->middleware('is.logged');

    Route::get(
        '/collectingFinalDocumentList/{id}',
        function () {
            return view('sd::collectingFinalDocumentList');
        }
    )->middleware('is.logged');

    // Special Intruction For Loading
    Route::get(
        '/specInsForLoading  ',
        function () {
            return view('sd::specInsForLoading ');
        }
    )->middleware('is.logged');

    Route::get(
        '/specInsForLoadingList',
        function () {
            return view('sd::specInsForLoadingList');
        }
    )->middleware('is.logged');

    Route::get(
        '/specInsForLoadingList/{id}',
        function () {
            return view('sd::specInsForLoadingList');
        }
    )->middleware('is.logged');

    /** svrController */
    Route::get('/svr/date', [SvrController::class, 'serverDate']);
    /** End svrController */

    /** Customer Order List Controller */
    Route::get('/customerOrderList/allCustomerOrder/{year}/{month}', [CustomerOrderListController::class, 'allCustomerOrder']);

    Route::post('/customerOrderList/uploadAvailabilityAttachment', [VesselAvailabilityController::class, 'uploadAvailabilityAttachment']);
    Route::get('/customerOrderList/allAvailabilityAttachment/{id}', [VesselAvailabilityController::class, 'allAvailabilityAttachment']);
    Route::get('/customerOrderList/getAvailabilityHeader/{id}', [VesselAvailabilityController::class, 'getAvailabilityHeader']);
    Route::post('/customerOrderList/saveAvailability', [VesselAvailabilityController::class, 'saveAvailability']);
    Route::get('/customerOrderList/load_saved_availability/{id}', [VesselAvailabilityController::class, 'load_saved_availability']);

    Route::post('/customerOrderList/uploadScheduleAttachment', [VesselScheduledController::class, 'uploadScheduleAttachment']);
    Route::get('/customerOrderList/allScheduleAttachment/{id}', [VesselScheduledController::class, 'allScheduleAttachment']);
    Route::get('/customerOrderList/getScheduleHeader/{id}', [VesselScheduledController::class, 'getScheduleHeader']);
    Route::post('/customerOrderList/saveSchedule', [VesselScheduledController::class, 'saveSchedule']);
    Route::get('/customerOrderList/load_saved_schedule/{id}', [VesselScheduledController::class, 'load_saved_schedule']);
    /** End Of Customer Order List Controller */

    /** Customer Order Status List Controller */
    Route::get('/CustomerOrderStatusListController/allCustomerOrder/{year}/{month}', [CustomerOrderStatusListController::class, 'allCustomerOrder']);
    Route::post('/CustomerOrderStatusListController/shipping_status', [CustomerOrderStatusListController::class, 'shipping_status']);
    /** End Of Customer Order Status List Controller */

    /** Customer Order */
    Route::get('/customerOrder/allCustomer', [CustomerOrderController::class, 'allCustomers']);
    Route::get('/customerOrder/getCustomer/{id}', [CustomerOrderController::class, 'SelectedCustomersData']);
    Route::get('/customerOrder/allCountries', [CustomerOrderController::class, 'allCountries']);
    Route::get('/customerOrder/allShippingTerms', [CustomerOrderController::class, 'allShippingTerms']);
    Route::get('/customerOrder/allDrainHoleSize', [CustomerOrderController::class, 'allDrainHoleSize']);
    Route::get('/customerOrder/allDrainHoleShape', [CustomerOrderController::class, 'allDrainHoleShape']);
    Route::get('/customerOrder/allProductMix', [CustomerOrderController::class, 'allProductMix']);
    Route::get('/customerOrder/allWashedLevel', [CustomerOrderController::class, 'allWashedLevel']);
    Route::get('/customerOrder/allOrderDataWithToken/{id}/{token}/{action}', [CustomerOrderController::class, 'allOrderDataWithToken']);
    Route::get('/customerOrder/allOrderData/{id}', [CustomerOrderController::class, 'allOrderData']);
    Route::get('/customerOrder/getCustomerAllOrderData/{id}', [CustomerOrderController::class, 'getCustomerAllOrderData']);
    Route::get('/customerOrder/getCustomerOrderData/{id}', [CustomerOrderController::class, 'getCustomerOrderData']);
    Route::get('/customerOrder/getCustomerMainOrder/{id}', [CustomerOrderController::class, 'getCustomerMainOrder']);
    Route::get('/customerOrder/allAttachment/{id}', [CustomerOrderController::class, 'allAttachment']);
    Route::get('/customerOrder/allAttachmentEditViewMode/{id}', [CustomerOrderController::class, 'allAttachmentEditViewMode']);
    Route::post('/customerOrder/saveOrderData', [CustomerOrderController::class, 'saveOrderData']);
    Route::post('/customerOrder/updateOrderData/{id}', [CustomerOrderController::class, 'updateOrderData']);
    Route::post('/customerOrder/saveCustomerOrder', [CustomerOrderController::class, 'saveCustomerOrder']);
    Route::post('/customerOrder/updateCustomerOrder/{id}', [CustomerOrderController::class, 'updateCustomerOrder']);

    Route::delete('/customerOrder/deleteOrderData/{id}', [CustomerOrderController::class, 'deleteOrderData']);
    Route::delete('/customerOrder/deleteAttachment/{id}', [CustomerOrderController::class, 'deleteAttachment']);
    Route::post('/customerOrder/uploadAttachment', [CustomerOrderController::class, 'uploadAttachment']);
    Route::get('/customerOrder/checkOrderStatus/{id}', [CustomerOrderController::class, 'checkOrderStatus']);
    Route::get('/customerOrder/customerAllDeliveryAddress/{id}', [CustomerOrderController::class, 'customerAllDeliveryAddress']);
    Route::get('/customerOrder/isDuplicateFactoryPO/{id}', [CustomerOrderController::class, 'isDuplicateFactoryPO']);
    Route::post('/customerOrder/saveAttachmentViewOrder', [CustomerOrderController::class, 'saveAttachmentViewOrder']);
    /** End Customer Order */

    /** Customer Order Thread */
    Route::post('/customerOrderThread/submit', [CustomerOrderThreadController::class, 'submit']);
    Route::get('/customerOrderThread/loadCustomerOrderThread/{order_id}', [CustomerOrderThreadController::class, 'loadCustomerOrderThread']);
    /** End of Customer Order Thread  */

    /** Vessel Schedule */
    Route::get('/VesselScheduledController/getFactoryOrderNo', [VesselScheduledController::class, 'getFactoryOrderNo']);
    Route::get('/VesselScheduledController/getCustomerOrderData/{id}', [VesselScheduledController::class, 'getCustomerOrderData']);
    Route::post('/VesselScheduled/saveSchedule', [VesselScheduledController::class, 'saveSchedule']);
    Route::get('/vesselSchedule/allSchedule', [VesselScheduledController::class, 'getScheduleData']);
    Route::get('/VesselSchedule/getCurrencyPrimaryID', [VesselScheduledController::class, 'getCurrencyPrimaryID']);
    Route::get('/VesselScheduleController/getVsData/{id}', [VesselScheduledController::class, 'getVsData']);
    Route::delete('/vesselScheduleController/deleteScheduleAttachment/{id}', [VesselScheduledController::class, 'deleteScheduleAttachment']);
    Route::post('/VesseSchedulelController/update/{id}', [VesselScheduledController::class, 'updateSchedule']);
    Route::delete('/VesselScheduleController/delete/{id}', [VesselScheduledController::class, 'deleteSchedule']);

    Route::get('/VesselScheduleController/genarateExternalID', [VesselScheduledController::class, 'genarateExternalID']);

    /** End of Vessel Schedule  */

    /** Shipment */
    Route::get('/shipment/allShipment', [ShipmentController::class, 'allShipment']);
    Route::get('/shipment/getOrderNo', [ShipmentController::class, 'getOrderNo']);
    Route::post('/shipment/saveSchedule', [ShipmentController::class, 'saveSchedule']);
    Route::get('/shipment/genarateExternalID', [ShipmentController::class, 'genarateExternalID']);
    Route::get('/shipment/getShipmentData/{id}', [ShipmentController::class, 'getShipmentData']);
    Route::post('/shipment/update/{id}', [ShipmentController::class, 'update']);
    Route::delete('/shipment/delete/{id}', [ShipmentController::class, 'deleteShipmentData']);

    // check vessel shedule availability
    Route::get('/shipment/vsCheckAvailability/{id}', [ShipmentController::class, 'vsCheckAvailability']);
    Route::get('/shipment/roCheckAvailability/{id}', [ShipmentController::class, 'roCheckAvailability']);
    Route::get('/shipment/biCheckAvailability/{id}', [ShipmentController::class, 'biCheckAvailability']);
    Route::get('/shipment/lpCheckAvailability/{id}', [ShipmentController::class, 'lpCheckAvailability']);
    Route::get('/shipment/sdCheckAvailability/{id}', [ShipmentController::class, 'sdCheckAvailability']);
    Route::get('/shipment/pdocCheckAvailability/{id}', [ShipmentController::class, 'pdocCheckAvailability']);
    Route::get('/shipment/furCheckAvailability/{id}', [ShipmentController::class, 'furCheckAvailability']);
    Route::get('/shipment/informUSACheckAvailability/{id}', [ShipmentController::class, 'informUSACheckAvailability']);
    Route::get('/shipment/cdUSACheckAvailability/{id}', [ShipmentController::class, 'cdUSACheckAvailability']);
    Route::get('/shipment/cfdCheckAvailability/{id}', [ShipmentController::class, 'cfdCheckAvailability']);
    Route::get('/shipment/spInsForLoadingCheckAvailability/{id}', [ShipmentController::class, 'spInsForLoadingCheckAvailability']);

    /** End of Shipment */


    /** Settings */

    Route::post('/SettingsController/saveShippingAgent', [SettingController::class, 'save']);
    Route::put('/SettingsController/updateShippingAgentData/{id}', [SettingController::class, 'updateShippingAgentData']);
    Route::get('/SettingsController/getAllShippingData', [SettingController::class, 'getAllShippingData']);
    Route::get('/SettingsController/getShippingData/{id}', [SettingController::class, 'getShippingData']);

    /** End of Settings */


    /** Release Order */
    Route::get('/releaseOrderController/getShipmentData', [ReleaseOrderController::class, 'getShipmentData']);
    Route::get('/releaseOrderController/getShippingAgentData', [ReleaseOrderController::class, 'getShippingAgentData']);
    Route::get('/releaseOrderController/getCustomerOrderData/{id}', [ReleaseOrderController::class, 'getCustomerOrderData']);
    Route::post('/releaseOrderController/uploadScheduleAttachment', [ReleaseOrderController::class, 'uploadScheduleAttachment']);
    Route::get('/releaseOrderController/allScheduleAttachment/{id}', [ReleaseOrderController::class, 'allScheduleAttachment']);
    Route::delete('/releaseOrderController/deleteScheduleAttachment/{id}', [ReleaseOrderController::class, 'deleteScheduleAttachment']);
    Route::post('/releaseOrderController/saveReleaseOrder', [ReleaseOrderController::class, 'saveReleaseOrder']);
    Route::get('/releaseOrderController/allSchedule', [ReleaseOrderController::class, 'getReleaseOrderData']);
    Route::get('/releaseOrderController/getRoData/{id}', [ReleaseOrderController::class, 'getRoData']);
    Route::post('/releaseOrderController/update/{id}', [ReleaseOrderController::class, 'updateReleaseOrder']);
    Route::delete('/releaseOrderController/delete/{id}', [ReleaseOrderController::class, 'deleteReleaseOrder']);
    /** End of Release Order */


    /** Bl Instructions */
    Route::get('/blInstructionController/getShipmentData', [BlInstructionController::class, 'getShipmentData']);
    Route::get('/blInstructionController/getShippingAgentData', [BlInstructionController::class, 'getShippingAgentData']);
    Route::get('/blInstructionController/getCustomerOrderData/{id}', [BlInstructionController::class, 'getCustomerOrderData']);
    Route::post('/blInstructionController/uploadScheduleAttachment', [BlInstructionController::class, 'uploadScheduleAttachment']);
    Route::get('/blInstructionController/allScheduleAttachment/{id}', [BlInstructionController::class, 'allScheduleAttachment']);
    Route::delete('/blInstructionController/deleteScheduleAttachment/{id}', [BlInstructionController::class, 'deleteScheduleAttachment']);
    Route::post('/blInstructionController/saveBlInstruction', [BlInstructionController::class, 'saveBlInstruction']);
    Route::get('/blInstructionController/allSchedule', [BlInstructionController::class, 'getBlInstructionData']);
    Route::get('/blInstructionController/getRoData/{id}', [BlInstructionController::class, 'getRoData']);
    Route::post('/blInstructionController/update/{id}', [BlInstructionController::class, 'updateBlInstruction']);
    Route::delete('/blInstructionController/delete/{id}', [BlInstructionController::class, 'deleteReleaseOrder']);
    /** End of Bl Instructions */


    /** Clearance Document USA */
    Route::get('/clearanceDocumentsUsa/getShipmentData', [ClearanceDocumentUsaController::class, 'getShipmentData']);
    Route::get('/clearanceDocumentsUsa/getShippingAgentData', [ClearanceDocumentUsaController::class, 'getShippingAgentData']);
    Route::get('/clearanceDocumentsUsa/getCustomerOrderData/{id}', [ClearanceDocumentUsaController::class, 'getCustomerOrderData']);
    Route::post('/clearanceDocumentsUsa/uploadScheduleAttachment', [ClearanceDocumentUsaController::class, 'uploadScheduleAttachment']);
    Route::get('/clearanceDocumentsUsa/allScheduleAttachment/{id}', [ClearanceDocumentUsaController::class, 'allScheduleAttachment']);
    Route::delete('/clearanceDocumentsUsa/deleteScheduleAttachment/{id}', [ClearanceDocumentUsaController::class, 'deleteScheduleAttachment']);
    Route::post('/clearanceDocumentsUsa/saveCdUsa', [ClearanceDocumentUsaController::class, 'saveCdUsa']);
    Route::get('/clearanceDocumentsUsa/allSchedule', [ClearanceDocumentUsaController::class, 'getCDUsaAllData']);
    Route::get('/clearanceDocumentsUsa/getCdDocumentData/{id}', [ClearanceDocumentUsaController::class, 'getCdDocumentData']);
    Route::post('/clearanceDocumentsUsa/update/{id}', [ClearanceDocumentUsaController::class, 'updateCdUsa']);
    Route::delete('/clearanceDocumentsUsa/delete/{id}', [ClearanceDocumentUsaController::class, 'deleteCdUsa']);
    /** End of Clearance Document USA */

    /** Preshipment Document USA */
    Route::get('/preshipmentDocument/getShipmentData', [PreshipmentDocumnetController::class, 'getShipmentData']);
    Route::get('/preshipmentDocument/getShippingAgentData', [PreshipmentDocumnetController::class, 'getShippingAgentData']);
    Route::get('/preshipmentDocument/getCustomerOrderData/{id}', [PreshipmentDocumnetController::class, 'getCustomerOrderData']);
    Route::post('/preshipmentDocument/uploadScheduleAttachment', [PreshipmentDocumnetController::class, 'uploadScheduleAttachment']);
    Route::get('/preshipmentDocument/allScheduleAttachment/{id}', [PreshipmentDocumnetController::class, 'allScheduleAttachment']);
    Route::delete('/preshipmentDocument/deleteScheduleAttachment/{id}', [PreshipmentDocumnetController::class, 'deleteScheduleAttachment']);
    Route::post('/preshipmentDocument/savePreshipmentDoc', [PreshipmentDocumnetController::class, 'savePreshipmentDoc']);
    Route::get('/preshipmentDocument/allSchedule', [PreshipmentDocumnetController::class, 'getAllPreshipmentDocData']);
    Route::get('/preshipmentDocument/getPreshipmentDocData/{id}', [PreshipmentDocumnetController::class, 'getPreshipmentDocData']);
    Route::post('/preshipmentDocument/update/{id}', [PreshipmentDocumnetController::class, 'update']);
    Route::delete('/preshipmentDocument/delete/{id}', [PreshipmentDocumnetController::class, 'delete']);
    /** End of Preshipment Document USA */


    /** Specail Document*/
    Route::get('/specialDocument/getShipmentData', [SpecialDocumentController::class, 'getShipmentData']);
    Route::get('/specialDocument/getShippingAgentData', [SpecialDocumentController::class, 'getShippingAgentData']);
    Route::get('/specialDocument/getCustomerOrderData/{id}', [SpecialDocumentController::class, 'getCustomerOrderData']);
    Route::post('/specialDocument/uploadScheduleAttachment', [SpecialDocumentController::class, 'uploadScheduleAttachment']);
    Route::get('/specialDocument/allScheduleAttachment/{id}', [SpecialDocumentController::class, 'allScheduleAttachment']);
    Route::delete('/specialDocument/deleteScheduleAttachment/{id}', [SpecialDocumentController::class, 'deleteScheduleAttachment']);
    Route::post('/specialDocument/saveData', [SpecialDocumentController::class, 'saveData']);
    Route::get('/specialDocument/allSchedule', [SpecialDocumentController::class, 'getAllSdData']);
    Route::get('/specialDocument/getSpDocData/{id}', [SpecialDocumentController::class, 'getSpDocData']);
    Route::post('/specialDocument/update/{id}', [SpecialDocumentController::class, 'update']);
    Route::delete('/specialDocument/delete/{id}', [SpecialDocumentController::class, 'delete']);
    /** End of Specail Document */

    /** Loading Plan*/
    Route::get('/loadingPlan/getShipmentData', [LoadingPlanController::class, 'getShipmentData']);
    Route::get('/loadingPlan/getShippingAgentData', [LoadingPlanController::class, 'getShippingAgentData']);
    Route::get('/loadingPlan/getCustomerOrderData/{id}', [LoadingPlanController::class, 'getCustomerOrderData']);
    Route::post('/loadingPlan/uploadScheduleAttachment', [LoadingPlanController::class, 'uploadScheduleAttachment']);
    Route::get('/loadingPlan/allScheduleAttachment/{id}', [LoadingPlanController::class, 'allScheduleAttachment']);
    Route::delete('/loadingPlan/deleteScheduleAttachment/{id}', [LoadingPlanController::class, 'deleteScheduleAttachment']);
    Route::post('/loadingPlan/saveData', [LoadingPlanController::class, 'saveData']);
    Route::get('/loadingPlan/allSchedule', [LoadingPlanController::class, 'getAllLpData']);
    Route::get('/loadingPlan/getAllLoadingPlanData/{id}', [LoadingPlanController::class, 'getAllLoadingPlanData']);
    Route::post('/loadingPlan/update/{id}', [LoadingPlanController::class, 'update']);
    Route::delete('/loadingPlan/delete/{id}', [LoadingPlanController::class, 'delete']);
    /** End of Loading Plan */

    /** Furmugations */
    Route::get('/furmugationsController/getShipmentData', [FurmugationsController::class, 'getShipmentData']);
    Route::get('/furmugationsController/getShippingAgentData', [FurmugationsController::class, 'getShippingAgentData']);
    Route::get('/furmugationsController/getCustomerOrderData/{id}', [FurmugationsController::class, 'getCustomerOrderData']);
    Route::post('/furmugationsController/uploadScheduleAttachment', [FurmugationsController::class, 'uploadScheduleAttachment']);
    Route::get('/furmugationsController/allScheduleAttachment/{id}', [FurmugationsController::class, 'allScheduleAttachment']);
    Route::delete('/furmugationsController/deleteScheduleAttachment/{id}', [FurmugationsController::class, 'deleteScheduleAttachment']);
    Route::post('/furmugationsController/saveData', [FurmugationsController::class, 'saveData']);
    Route::get('/furmugationsController/allSchedule', [FurmugationsController::class, 'getAllFurmugations']);
    Route::get('/furmugationsController/getFurmugationsData/{id}', [FurmugationsController::class, 'getFurmugationsData']);
    Route::post('/furmugationsController/update/{id}', [FurmugationsController::class, 'update']);
    Route::delete('/furmugationsController/delete/{id}', [FurmugationsController::class, 'delete']);
    /** End of Furmugations */


    /** InformUsa Office Controller */
    Route::get('/informUsaOfficeController/getShipmentData', [InformUsaOfficeController::class, 'getShipmentData']);
    Route::get('/informUsaOfficeController/getShippingAgentData', [InformUsaOfficeController::class, 'getShippingAgentData']);
    Route::get('/informUsaOfficeController/getCustomerOrderData/{id}', [InformUsaOfficeController::class, 'getCustomerOrderData']);
    Route::post('/informUsaOfficeController/uploadScheduleAttachment', [InformUsaOfficeController::class, 'uploadScheduleAttachment']);
    Route::get('/informUsaOfficeController/allScheduleAttachment/{id}', [InformUsaOfficeController::class, 'allScheduleAttachment']);
    Route::delete('/informUsaOfficeController/deleteScheduleAttachment/{id}', [InformUsaOfficeController::class, 'deleteScheduleAttachment']);
    Route::post('/informUsaOfficeController/saveData', [InformUsaOfficeController::class, 'saveData']);
    Route::get('/informUsaOfficeController/allSchedule', [InformUsaOfficeController::class, 'getAllInfousaOffiData']);
    Route::get('/informUsaOfficeController/getInfoUsaOffiData/{id}', [InformUsaOfficeController::class, 'getInfoUsaOffiData']);
    Route::post('/informUsaOfficeController/update/{id}', [InformUsaOfficeController::class, 'update']);
    Route::delete('/informUsaOfficeController/delete/{id}', [InformUsaOfficeController::class, 'delete']);
    /** End of InformUsa Office Controller */

    /** Collecting Final Document Controller */
    Route::get('/collectingFinalDocument/getShipmentData', [CollectingFinalDocumentController::class, 'getShipmentData']);
    Route::get('/collectingFinalDocument/getShippingAgentData', [CollectingFinalDocumentController::class, 'getShippingAgentData']);
    Route::get('/collectingFinalDocument/getCustomerOrderData/{id}', [CollectingFinalDocumentController::class, 'getCustomerOrderData']);
    Route::post('/collectingFinalDocument/uploadScheduleAttachment', [CollectingFinalDocumentController::class, 'uploadScheduleAttachment']);
    Route::get('/collectingFinalDocument/allScheduleAttachment/{id}', [CollectingFinalDocumentController::class, 'allScheduleAttachment']);
    Route::delete('/collectingFinalDocument/deleteScheduleAttachment/{id}', [CollectingFinalDocumentController::class, 'deleteScheduleAttachment']);
    Route::post('/collectingFinalDocument/saveData', [CollectingFinalDocumentController::class, 'saveData']);
    Route::get('/collectingFinalDocument/allSchedule', [CollectingFinalDocumentController::class, 'getAllCFDData']);
    Route::get('/collectingFinalDocument/getCFDData/{id}', [CollectingFinalDocumentController::class, 'getCFDData']);
    Route::post('/collectingFinalDocument/update/{id}', [CollectingFinalDocumentController::class, 'update']);
    Route::delete('/collectingFinalDocument/delete/{id}', [CollectingFinalDocumentController::class, 'delete']);
    /** End of Collecting Final Document Controller */

    /** Special Intruction For Loading  Controller */
    Route::get('/specInsForLoadingController/getShipmentData', [SpecInsForLoadingController::class, 'getShipmentData']);
    Route::get('/specInsForLoadingController/getShippingAgentData', [SpecInsForLoadingController::class, 'getShippingAgentData']);
    Route::get('/specInsForLoadingController/getCustomerOrderData/{id}', [SpecInsForLoadingController::class, 'getCustomerOrderData']);
    Route::post('/specInsForLoadingController/uploadScheduleAttachment', [SpecInsForLoadingController::class, 'uploadScheduleAttachment']);
    Route::get('/specInsForLoadingController/allScheduleAttachment/{id}', [SpecInsForLoadingController::class, 'allScheduleAttachment']);
    Route::delete('/specInsForLoadingController/deleteScheduleAttachment/{id}', [SpecInsForLoadingController::class, 'deleteScheduleAttachment']);
    Route::post('/specInsForLoadingController/saveData', [SpecInsForLoadingController::class, 'saveData']);
    Route::get('/specInsForLoadingController/allSchedule', [SpecInsForLoadingController::class, 'getAllSpInsLoadData']);
    Route::get('/specInsForLoadingController/getSpInsLoadingData/{id}', [SpecInsForLoadingController::class, 'getSpInsLoadingData']);
    Route::post('/specInsForLoadingController/update/{id}', [SpecInsForLoadingController::class, 'update']);
    Route::delete('/specInsForLoadingController/delete/{id}', [SpecInsForLoadingController::class, 'delete']);
    /** End of Special Intruction For Loading  Controller */

});
